Bug 436057 - Current review sorting algorithm can cause... problems
Summary: Current review sorting algorithm can cause... problems
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Applications
Component: discover (show other bugs)
Version: 5.21.4
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-04-22 19:51 UTC by Nate Graham
Modified: 2023-11-03 04:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 6.0


Attachments
Probably not very helpful (183.48 KB, image/png)
2021-04-22 19:51 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2021-04-22 19:51:45 UTC
Created attachment 137806 [details]
Probably not very helpful

See attached screenshot.

I can't tell by looking at the image what sorting algorithm we're using, but whatever it is, it seems to need some adjustment so that reviews like that can never appear in the top three. :)
Comment 1 Nate Graham 2021-04-22 19:52:39 UTC
None of those three are very helpful compared to better reviews available, in fact.
Comment 2 Bug Janitor Service 2023-10-23 13:17:11 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/672
Comment 3 Marco Martin 2023-10-30 10:03:21 UTC
Git commit bd03ada4e222c0039f42d3f94eda74783413aa87 by Marco Martin.
Committed on 30/10/2023 at 11:03.
Pushed by mart into branch 'master'.

Sort Reviews

We have a score about comment as "usefulness" use it for sorting,
and add 3 options for sorting: "Relevance" (user facing for usefulness)
rating (best to worst) and date (recent to old)

Adapt the header layout to fit the button sending the optional comment
"install to write a review" on a new line when it doesn't fit

![image](/uploads/037faae369e117aa74288a5f5ab65bc0/image.png)

![image](/uploads/929995ccdde59e46ce4732bad1649f6c/image.png)

M  +3    -1    discover/qml/ApplicationPage.qml
M  +0    -2    discover/qml/ReviewDelegate.qml
M  +89   -15   discover/qml/ReviewsPage.qml
M  +7    -0    libdiscover/ReviewsBackend/Review.cpp
M  +3    -0    libdiscover/ReviewsBackend/Review.h
M  +33   -0    libdiscover/ReviewsBackend/ReviewsModel.cpp
M  +7    -0    libdiscover/ReviewsBackend/ReviewsModel.h
M  +45   -5    libdiscover/appstream/OdrsReviewsBackend.cpp
M  +1    -0    libdiscover/backends/KNSBackend/KNSReviews.cpp

https://invent.kde.org/plasma/discover/-/commit/bd03ada4e222c0039f42d3f94eda74783413aa87